/*
 *========================================================================
 *
 *   시스템명 : 요금징수 시스템
 *   파 일 명 : ft_basictbl.pc
 *   작 성 자 : 오효섭 (catacath@neighbor21.co.kr)
 *   작 성 일 : 2012.10.10
 *   수 정 일 :
 *   설    명 : 기초상태테이블의 파일/테이블간 변환처리
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>
#include <fcntl.h>

#include "pl_info.h"
/*
#include "file_nm.h"
*/
#include "file_no.h"
#include "dir_path.h"
#include "file_lb.h"

static struct pl_info pl_info_f;

int main(int argc, char *argv[])
{
    int     isfd, isfd2, isrc, isrc2;
    char    path[128], path2[128];
	char buff[2];
	FILE *fp = NULL;
	char srch_pl;
	int ii=0;
	int srch_alias;
	int aliase_no;

	aliase_no = atoi(argv[1]);

	printf("\naliase_no : %u 검색 시작\n\n", aliase_no);

	memset(&pl_info_f, 0, sizeof(struct pl_info));
	memset(&buff, 0, sizeof(buff));

	sprintf(path, "%s/%s/PLBASE/PLMST00%d", DIR_TCS, DIR_BASEINFO, aliase_no/100000000);

    srch_alias = aliase_no % 100000000;

	printf("검색FILE : [%s][%d] \n", path, srch_alias);

	isfd = open(path, FINPUT+FC_MANULOCK);
	if(isfd < 0)
	{
		printf("open error\n");
	}

    fp = fopen(path, "r+");
	if(fp == NULL)
	{
		printf("해당 파일을 찾을수 없습니다\n");
		close(isfd);
		exit(0);
	}

	fseek(fp, srch_alias, SEEK_SET);
	
	fread(&srch_pl, 1, 1, fp);
	
	printf("검색결과 : %c (0:BL / 1:PL)\n", srch_pl);
    close(isfd);

}

